#version 130

uniform vec4 scaleTrans;

in vec2 inPosition;
in vec2 inTexCoord2d;

out vec2 texCoord2d;

void main(void)
{
	vec2 scale = scaleTrans.xy;
	vec2 trans = scaleTrans.zw;
	vec2 pos = inPosition * scale + trans;

	gl_Position = vec4(pos, 0.0, 1.0);
	texCoord2d = inTexCoord2d;
}