﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using OpenTK.Graphics.OpenGL;

namespace HW09CPC
{
    /// Stellt die Kapselungen eines GL-VAOs dar.
    class GLVao
    {
        private int mHandle; 

        /// Konstruktor
        public GLVao()
        {	
	        GL.GenVertexArrays(1, out mHandle);
        }

        /// Löscht das VAO
        public void delete()
        {
	        GL.DeleteVertexArrays(1, ref mHandle);
        }

        /// Bindet das VAO
        public void bind()
        {
	        GL.BindVertexArray(mHandle);
        }

        /// Löst das VAO
        public void unbind()
        {
	        GL.BindVertexArray(0);
        }
    }
}
