#version 130

uniform float minimum0;
uniform float maximum0;
uniform float minimum1;
uniform float maximum1;

in vec2 inPosition;

void main(void)
{
	float norm0 = maximum0 - minimum0;
	float norm1 = maximum1 - minimum1;
	float x = (inPosition.x - minimum0) / norm0;
	float y = (inPosition.y - minimum1) / norm1;

	vec2 pos = vec2(x, y) * 2.0 - 1.0;

	gl_Position = vec4(pos, 0.0, 1.0);
}